Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide.inspector
Class IdeInspectorCompoundComponent

    java.lang.Object
      |
      +--java.beans.FeatureDescriptor
            |
            +--com.togethersoft.openapi.ide.inspector.IdeInspectorComponent
                  |
                  +--com.togethersoft.openapi.ide.inspector.IdeInspectorCompoundComponent

Direct Known Subclasses:
  TabbedCompoundComponent

public class IdeInspectorCompoundComponent
extends IdeInspectorComponent

Class `IdeInspectorCompoundComponents` represents an inspector component that contains the other inspector components. For example, a tab pane is located inside the other tab. This component contains its own internal inspector.

Author:
  TogetherSoft
See Also: IdeInspector

Field Summary
`protected IdeContext` | `myContext`
`protected IdeInspector` | `myInternalInspector`

Constructor Summary
`IdeInspectorCompoundComponent(IdeContext context)` Constructs an instance of `IdeInspectorCompoundComponent` object that represents an internal inspector for the specified context.

Method Summary
`void` | `addComponent(IdeInspectorComponent component, Condition condition)` Adds specified component to the internal inspector with the `condition`.
`void` | `addComponent(IdeInspectorComponent component, Condition condition, double weight)` Adds component to the internal inspector with the specified condition and weight.
`void` | `removeComponent(IdeInspectorComponent component)` Removes specified component from the internal inspector.
`void` | `update()` Updates internal inspector and all subcomponents.

Methods inherited from class com.togethersoft.openapi.ide.inspector.IdeInspectorComponent
`getService, setService`

Methods inherited from class java.beans.FeatureDescriptor
`getName, setName, getDisplayName, setDisplayName, isExpert, setExpert, isHidden, setHidden, isPreferred, setPreferred, getShortDescription, setShortDescription, setValue, getValue, attributeNames`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize`

Field Detail

### myContext

    protected IdeContext myContext

### myInternalInspector

    protected IdeInspector myInternalInspector

Constructor Detail

### IdeInspectorCompoundComponent

    public IdeInspectorCompoundComponent(IdeContext context)

  Constructs an instance of `IdeInspectorCompoundComponent` object that represents an internal inspector for the specified context.
  Parameters:
    context - `IdeContext` for which internal inspector will be created

Method Detail

### addComponent

    public void addComponent(IdeInspectorComponent component, Condition condition)

  Adds specified component to the internal inspector with the `condition`.
  See Also:
    IdeInspector.addComponent(com.togethersoft.openapi.ide.inspector.IdeInspectorComponent,com.togethersoft.openapi.ide.inspector.Condition)

### addComponent

    public void addComponent(IdeInspectorComponent component, Condition condition, double weight)

  Adds component to the internal inspector with the specified condition and weight.
  See Also:
    IdeInspector.addComponent(com.togethersoft.openapi.ide.inspector.IdeInspectorComponent,com.togethersoft.openapi.ide.inspector.Condition,double)

### removeComponent

    public void removeComponent(IdeInspectorComponent component)

  Removes specified component from the internal inspector.
  See Also:
    IdeInspector#addComponent(IdeInspectorComponent)

### update

    public void update()

  Updates internal inspector and all subcomponents.

Association Links

to Class com.togethersoft.openapi.ide.IdeContext

to Class com.togethersoft.openapi.ide.inspector.IdeInspector

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD